Collections
Confirm Direct Charge Customer Input
Submit customer input, such as an OTP, when a Direct Charge response returns `action` as `otp`.
Authorization
clientId clientSecret client-id<token>
In: header
client-secret<token>
In: header
Request Body
application/json
Direct Charge customer input confirmation request
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/payments/v1/payments/confirm" \ -H "Content-Type: application/json" \ -d '{ "reference": "DDC20260702112401ZIWGF", "customerInput": { "otp": "445985" } }'{ "statusCode": 201, "data": { "action": "processing", "sessionId": "cos-1z3x983b01300", "provider": "qmoney-gambia", "reference": "DDC20260702115234PTIFG", "providersReference": "PIX_44241170102532681668", "amount": 1000, "totalAmount": 1000, "charge": 0, "status": "pending", "data": { "message": "OTP submitted successfully. Payment confirmation is processing." }, "statusDescription": "Awaiting Provider's Feedback" }}